# classes/phing/tasks/system/InputTask.php

## \InputTask
jump to top

Reads input from the InputHandler.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
see
  \Project::getInputHandler()
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Ulrich Schmidt <usch@usch.net> (Ant)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $

### Properties

`$defaultValue= ''`
Details

Type

`$message= ''`
Details

Type

`$promptChar= ''`
Details

Type

`$propertyName= ''`
Details

Type

`$validargs= ''`
Details

Type

### Methods

`addText( $msg ) :`
Set a multiline message.
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`main( ) :`
Actual method executed by phing.
Details

throws

`setDefaultValue( string $v ) :`
Add a default value.
Parameters

Name | Type | Description
--- | --- | ---
$v | string |

`setMessage( \message $message ) :`
Sets the Message which gets displayed to the user during the build run.
Parameters

Name | Type | Description
--- | --- | ---
$message | \message | The message to be displayed.

`setPromptChar( string $c ) :`
Set the character/string to use for the prompt.
Parameters

Name | Type | Description
--- | --- | ---
$c | string |

`setPropertyName( string $name ) :`
Defines the name of a property to be set from input.
Parameters

Name | Type | Description
--- | --- | ---
$name | string | Name for the property to be set from input

`setValidargs( \validargs $validargs ) :`
Defines valid input parameters as comma separated strings. If set, input task will reject any input not defined as accepted and requires the user to reenter it. Validargs are case sensitive. If you want 'a' and 'A' to be accepted you need to define both values as accepted arguments.
Parameters

Name | Type | Description
--- | --- | ---
$validargs | \validargs | A comma separated String defining valid input args.

Documentation was generated by DocBlox 0.13.1.